%define upstream_name    Pod-Xhtml
%define upstream_version 1.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Allow off-page links in POD to point to a URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Pod-Xhtml-1.59-uri_escape.patch

BuildRequires: perl(Pod::ParseUtils)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Test::Assertions::TestScript)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)

BuildArch: noarch


%{?perl_default_filter}

%description
This is a module to translate POD to Xhtml. Lorem ipsum the Dolor/Dolor
manpage sit amet consectueur adipscing elit. Sed diam nomumny. This is a
module to translate POD to Xhtml. /Lorem ipsum dolor sit amet consectueur
adipscing elit. Sed diam nomumny. This is a module to translate _POD_ to
Xhtml. *Lorem* ipsum _dolor_ sit amet 'consectueur adipscing' elit. . This
is a module to translate POD to Xhtml. See the /Lorem manpage ipsum dolor
sit amet consectueur adipscing elit. Sed diam the nomumny manpage. the
http://foo.bar/baz/ manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# https://rt.cpan.org/Public/Bug/Display.html?id=56324
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.610.0-11.mga8
+ Revision: 1496832
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.610.0-10.mga7
+ Revision: 1270849
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.610.0-9.mga6
+ Revision: 1032420
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.610.0-8.mga6
+ Revision: 930676
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.610.0-7.mga5
+ Revision: 747785
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.610.0-6.mga5
+ Revision: 733289
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.610.0-5.mga5
+ Revision: 686050
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.610.0-4.mga4
+ Revision: 514339
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.610.0-3.mga3
+ Revision: 372127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 1.610.0-2.mga3
+ Revision: 326921
- fix %%files

* Fri Jan 21 2011 jquelin <jquelin> 1.610.0-1.mga1
+ Revision: 29292
- mageia rebuild
- imported package perl-Pod-Xhtml

